Get SCIM Service Provider Configuration Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/adra-scim/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SCIM 2 MCP server": {
  "url": "https://developer.adra.com/doc/adra-scim/mcp"
}
Close
GET /serviceConfiguration

Returns the capabilities of the Adra SCIM implementation

Responses

  • 200 application/scim+json

    OK

    Hide response attributes Show response attributes object
    • authenticationSchemes array[object] | null
      Hide authenticationSchemes attributes Show authenticationSchemes attributes object
      • authenticationType string | null
      • description string | null
      • documentationResource string(uri) | null
      • name string | null
      • primary boolean
      • specificationResource string(uri) | null
    • bulkRequests object | null

      Additional properties are NOT allowed.

      Hide bulkRequests attributes Show bulkRequests attributes object | null
      • concurrentOperations integer(int32)
      • maximumOperations integer(int32)
      • maximumPayloadSize integer(int32)
      • supported boolean
    • documentationResource string(uri) | null
    • entityTags object | null

      Additional properties are NOT allowed.

      Hide entityTags attribute Show entityTags attribute object | null
      • supported boolean Required
    • filtering object | null

      Additional properties are NOT allowed.

      Hide filtering attribute Show filtering attribute object | null
      • supported boolean Required
    • passwordChange object | null

      Additional properties are NOT allowed.

      Hide passwordChange attribute Show passwordChange attribute object | null
      • supported boolean Required
    • patching object | null

      Additional properties are NOT allowed.

      Hide patching attribute Show patching attribute object | null
      • supported boolean Required
    • sorting object | null

      Additional properties are NOT allowed.

      Hide sorting attribute Show sorting attribute object | null
      • supported boolean Required
    • schemas array[string] | null
  • 400 application/scim+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 401 application/scim+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 403 application/scim+json

    Forbidden

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 501 application/scim+json

    Not Implemented

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • default application/scim+json
    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
GET /serviceConfiguration
curl \
 --request GET 'https://setup.adratest.com/api/organizations/{organizationSid}/scim/serviceConfiguration' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
  ],
  "documentationUri": "https://success.adra.com/s/article/Setup-SCIM-Implementation-for-Automated-User-Provisioning-Using-Microsoft-Entra-ID",
  "patch": {
    "supported": true
  },
  "bulk": {
    "supported": false,
    "maxOperations": 0,
    "maxPayloadSize": 0
  },
  "filter": {
    "supported": true,
    "maxResults": 200
  },
  "changePassword": {
    "supported": false
  },
  "sort": {
    "supported": false
  },
  "etag": {
    "supported": false
  },
  "authenticationSchemes": [
    {
      "name": "OAuth Bearer Token",
      "description": "Authentication using Bearer token",
      "specUrl": "https://datatracker.ietf.org/doc/html/rfc6750",
      "type": "oauthbearertoken",
      "primary": true
    }
  ]
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (401)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (403)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (501)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (default)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}